version: '3.7'

services:
  app:
    container_name: task-api
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      TZ: "Asia/Almaty"
    working_dir: /home/www-data/app
    restart: unless-stopped
    volumes:
      - ".:/home/www-data/app"
      - "./.docker/php/php.ini:/usr/local/etc/php/conf.d/custom.ini"
    networks:
      - app-network

  postgres:
    container_name: task-db
    image: postgres:14-alpine
    ports:
        - "${APP_DATABASE_EXTERNAL_PORT:-5432}:5432"
    volumes:
        - "${APP_DATABASE_DATA:-./.docker/db/data}:/var/lib/postgresql/data"
    environment:
        - POSTGRES_PASSWORD=${DB_PASSWORD}
        - POSTGRES_USER=${DB_USERNAME}
        - POSTGRES_DB=${DB_DATABASE}
    networks:
        - app-network

  nginx:
    container_name: task-nginx
    image: nginx:alpine
    working_dir: /home/www-data/app
    restart: unless-stopped
    tty: true
    ports:
      - '${APP_NGINX_EXTERNAL_PORT:-80}:80'
    volumes:
      - ".:/home/www-data/app"
      - "./.docker/nginx/default.conf:/etc/nginx/conf.d/default.conf"
    networks:
      - app-network


networks:
  app-network:
    driver: bridge
